<?php
/**
 * Displays top navigation
 */
?>

<div class="header-menu">
	<div class="row m-0">
		<div class="logo col-lg-3 col-md-3">
			<?php if ( has_custom_logo() ) : ?>
			  <div class="site-logo"><?php the_custom_logo(); ?></div>
			  <?php else: ?>
			  <?php $blog_info = get_bloginfo( 'name' ); ?>
			  <?php if ( ! empty( $blog_info ) ) : ?>
			    <?php if ( is_front_page() && is_home() ) : ?>
			      <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			    <?php else : ?>
			      <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
			    <?php endif; ?>
			  <?php endif; ?>
			  <?php
			  $description = get_bloginfo( 'description', 'display' );
			  if ( $description || is_customize_preview() ) :
			    ?>
			  <p class="site-description">
			    <?php echo esc_html($description); ?>
			  </p>
			<?php endif; ?>
			<?php endif; ?>
		</div>
		<div class="col-lg-8 col-md-7">
			<nav id="site-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'shams-solar' ); ?>">
				<button role="tab" class="menu-toggle" aria-controls="top-menu" aria-expanded="false">
					<?php
						esc_html_e( 'Menu', 'shams-solar' );
					?>
				</button>

				<?php wp_nav_menu( array(
					'theme_location' => 'top',
					'menu_id'        => 'top-menu',
				) ); ?>				
			</nav>
		</div>
		<div class="col-lg-1 col-md-2">
			<div class="search-box">
				<a href="#" onclick="search_open()" ><i class="fas fa-search"></i>
		     		<span class="screen-reader-text"><?php esc_html_e( 'Search','shams-solar' );?></span>
		     	</a>
		    </div>
		</div>
	</div>
	<div class="serach_outer">
	    <a href="#" onclick="search_close()" class="closepop">X<span class="screen-reader-text"><?php esc_html_e( 'serach-outer','shams-solar' );?></span></a>
	    <div class="serach_inner">
	      <?php get_search_form(); ?>
	    </div>
	</div>
</div>